Base and Implementation Classes
Regular Expressions
Collaboration diagram for Base and Implementation Classes:

## Classes

struct | std::__detail::_BracketMatcher< _TraitsT, __icase, __collate >
class | std::__detail::_Compiler< _TraitsT >
class | std::__detail::_Executor< _BiIter, _Alloc, _TraitsT, __dfs_mode >
class | std::__detail::_Scanner< _CharT >
class | std::__detail::_StateSeq< _TraitsT >

## Typedefs

template<typename _CharT>
using | std::__detail::_Matcher
typedef long | std::__detail::_StateIdT

## Enumerations

enum | std::__detail::_Opcode : int { _S_opcode_unknown , _S_opcode_alternative , _S_opcode_repeat , _S_opcode_backref , _S_opcode_line_begin_assertion , _S_opcode_line_end_assertion , _S_opcode_word_boundary , _S_opcode_subexpr_lookahead , _S_opcode_subexpr_begin , _S_opcode_subexpr_end , _S_opcode_dummy , _S_opcode_match , _S_opcode_accept }

## Variables

static const _StateIdT | std::__detail::_S_invalid_state_id

## Detailed Description

## Typedef Documentation

## _Matcher

template<typename _CharT>

using std::__detail::_Matcher

Definition at line 52 of file regex_automaton.h.

## _StateIdT

typedef long std::__detail::_StateIdT

Definition at line 48 of file regex_automaton.h.

## Enumeration Type Documentation

## _Opcode

enum std::__detail::_Opcode : int

Operation codes that define the type of transitions within the base NFA that represents the regular expression.

Definition at line 56 of file regex_automaton.h.

## Variable Documentation

## _S_invalid_state_id

const _StateIdT std::__detail::_S_invalid_state_id

static

Definition at line 49 of file regex_automaton.h.